Subject: Re: [sipcore] (Info event) Questions aboutWillingnessandCapabilitynegotiation

From: "Richard Shockey" <[email-masked]>
Date: Thu, 1 Oct 2009 11:48:44 -0400

???

Why Marty?  

The device layer is one thing but, there is a desperate need for a
configuration model between edge SIP-PBX's and SSP networks.

This is a major inhibitor to plug and play services in the marketplace and
it needs to get fixed and Dean's suggestion about a straight forward
HTTP/XML model is spot on.

There will be more on this topic once Hadriel can publish is draft on Domain
Registration.

>  -----Original Message-----
>  From: [email-masked] [mailto:[email-masked]] On
>  Behalf Of DOLLY, MARTIN C, ATTLABS
>  Sent: Monday, September 28, 2009 4:27 PM
>  To: [email-masked]; [email-masked]
>  Cc: [email-masked]
>  Subject: Re: [sipcore] (Info event) Questions
>  aboutWillingnessandCapabilitynegotiation
>  
>  Neither will be deployed
>  
>  ----- Original Message -----
>  From: [email-masked] <[email-masked]>
>  To: Linyi TIAN <[email-masked]>
>  Cc: 'SIPCORE' <[email-masked]>
>  Sent: Mon Sep 28 15:44:06 2009
>  Subject: Re: [sipcore] (Info event) Questions
>  aboutWillingnessandCapabilitynegotiation
>  
>  
>  On Sep 28, 2009, at 3:11 AM, Linyi TIAN wrote:
>  
>  >>
>  >> You CAN NOT use the I-P mechanism to negotiate what you are going
>  >> to send
>  > in a 200
>  >> OK response.
>  >
>  > [Linyi TIAN] I never said I will use I-P to do this.
>  >
>  > I mean for this administration feature we may not use this I-D at
>  > all if
>  > Recv-Info is mandated. So please read my question again:
>  >
>  >> [Linyi TIAN] Hard coded is one way. For this configuration feature,
>  >> is SIP
>  >> INFO framework the best mechanism to be used? Is there any other
>  >> alternatives?
>  >
>  >
>  
>  I'm guessing from my weak understanding of the proposal that either
>  the SIP configuration framework or session policy framework might be
>  closer to meeting your goals than an INFO package would be.
>  
>  See:
>  
>  http://tools.ietf.org/html/draft-ietf-sipping-config-framework-15
>  
>  http://tools.ietf.org/html/draft-ietf-sip-session-policy-framework-06
>  
>  
>  Specifically, if you are talking about a timer that is valid only for
>  the current INVITE-initiated session, then the session-associated
>  policy part of the session-policy draft would be most likely to be
>  fruitful.
>  
>  If the timer is persistent across multiple sessions, then INFO would
>  be completely wrong, and either the session-independent policy model
>  of the session-policy draft might work, or the configuration
>  framework.
>  
>  Or you could do what IETF and 3GPP probably should have done all
>  along, which is to develop a straightforward HTTP/XML configuration
>  model for SIP devices.
>  
>  --
>  Dean
>  
>  _______________________________________________
>  sipcore mailing list
>  [email-masked]
>  https://www.ietf.org/mailman/listinfo/sipcore
>  _______________________________________________
>  sipcore mailing list
>  [email-masked]
>  https://www.ietf.org/mailman/listinfo/sipcore